libpqxx 4.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
pqxx::sql_error Class Reference
Exception classes

Exception class for failed queries. More...

`#include <except.hxx>`

Inheritance diagram for pqxx::sql_error:

## Public Member Functions

| sql_error ()
| sql_error (const std::string &)
| sql_error (const std::string &, const std::string &Q)
virtual | ~sql_error () throw ()
const std::string &PQXX_PURE | query () const throw ()
| The query whose execution triggered the exception.
Public Member Functions inherited from pqxx::failure
| failure (const std::string &)
Public Member Functions inherited from pqxx::pqxx_exception
virtual | ~pqxx_exception ()=0 throw ()
| Support run-time polymorphism, and keep this class abstract.
virtual const PQXX_CONST std::exception & | base () const =0 throw ()
| Return std::exception base-class object.

## Detailed Description

Exception class for failed queries.

Carries a copy of the failed query in addition to a regular error message

## Constructor & Destructor Documentation

pqxx::sql_error::sql_error | ( |  | ) |

pqxx::sql_error::sql_error | ( | const std::string & | whatarg | ) |

explicit

pqxx::sql_error::sql_error | ( | const std::string & | whatarg,
|  | const std::string & | Q
| ) |  |

pqxx::sql_error::~sql_error | ( |  | ) | throw ()

virtual

## Member Function Documentation

const string &PQXX_CONST pqxx::sql_error::query | ( |  | ) | const throw ()

The query whose execution triggered the exception.

The documentation for this class was generated from the following files:

- except.hxx
- except.cxx